replace wacom 0.7.4 with 0.7.8-3 for hardy

Bug #218087 reported by Bruno on 2008-04-16
8
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Stefan Bader
Hardy
Medium
Unassigned
linux-backports-modules-2.6.24 (Ubuntu)
Medium
Stefan Bader
Hardy
Medium
Unassigned

Bug Description

Binary package hint: wacom-tools

hardy uses wacom in version 0.7.4
Support for the lowcost and widely used bamboo was added in wacom 0.7.8.
In order to get this device up and running users have to compile it.

See http://ubuntuforums.org/showpost.php?p=4253232&postcount=133

If hardy would have 0.7.8 then this would enable bamboo to run out of the box.

Timo Aaltonen (tjaalton) wrote :

The X driver is 0.7.9-8 (upstream version), so you want to have a newer kernel driver.

Bruno (grossnik-register) wrote :

wacdump says it is 0.7.4 ?

$ dpkg -l | grep wacom
ii wacom-tools 1:0.7.9.8-0ubuntu3 utilities for Wacom tablet devices
ii xserver-xorg-input-wacom 1:0.7.9.8-0ubuntu3 X.Org X server -- Wacom input driver

$ wacdump -V
0.7.4

$ type wacdump
wacdump is hashed (/usr/bin/wacdump)

Hi Bruno,

Looking at the driver in the Ubuntu kernel, it looks like it's at version 1.47. I noticed the following comments in the files "history":

 * v1.47 (pc) - Added support for Bamboo

I also took a look at where the upstream kernel is at - version 1.48. It's history had the following comments:

 * v1.47 (pc) - Added support for Bamboo
 * v1.48 (pc) - Added support for Bamboo1, BambooFun, and Cintiq 12WX

I'm assuming you need version 1.48? Unfortuantely, the kernel is currently frozen for Hardy. Only critical fixes are being pulled in at this time. version 1.48 (which is what upstream has) will automatically be included in the Intrepid Ibex 8.10 release.

As far as wacdump -V returning 0.7.4 - it seems like it's reporting the incorrect version. I just downloaded linuxwacom-0.7.8-3 and wacdump -V still returned 0.7.4:

ogasawara@yoji:~/Desktop/linuxwacom-0.7.8-3/prebuilt/32$ ./wacdump -V
0.7.4

Hope that helps. Thanks.

Changed in linux:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
status: New → Triaged

Hi Bruno,

Care to test the Intrepid Ibex 8.10 kernel? It was most recently rebased with the upstream 2.6.25 kernel and is currently available in the following PPA:

https://edge.launchpad.net/~kernel-ppa/+archive

If you are not familiar with how to install packages from a PPA basically do the following:

Create the file /etc/apt/sources.list.d/kernel-ppa.list to include the following two lines:

deb http://ppa.launchpad.net/kernel-ppa/ubuntu hardy main
deb-src http://ppa.launchpad.net/kernel-ppa/ubuntu hardy main

Then run the command:

sudo apt-get update

You should then be able to install the linux-image-2.6.25 kernel package. After you've finished testing you can remove the kernel-ppa.list file and run 'sudo apt-get update' once more to restore your system. Please let us know your results. Thanks.

Bruno (grossnik-register) wrote :

Hi Leann

Sorry for delay.
Here are the results:

May 16 22:42:11 seven kernel: [ 261.599126] usb 4-1: new low speed USB device using uhci_hcd and address 2
May 16 22:42:12 seven kernel: [ 261.783901] usb 4-1: configuration #1 chosen from 1 choice
May 16 22:42:12 seven kernel: [ 261.852275] usbcore: registered new interface driver hiddev
May 16 22:42:12 seven kernel: [ 261.852275] usbcore: registered new interface driver usbhid
May 16 22:42:12 seven kernel: [ 261.852275] usbhid: v2.6:USB HID core driver
May 16 22:42:12 seven kernel: [ 261.883038] input: Wacom Bamboo1 as /class/input/input12
May 16 22:42:12 seven kernel: [ 261.898912] usbcore: registered new interface driver wacom
May 16 22:42:12 seven kernel: [ 261.898918] wacom: v1.48:USB Wacom Graphire and Wacom Intuos tablet driver
May 16 22:42:12 seven logger: device 4-1:1.0 is bound to the wacom driver
May 16 22:42:12 seven logger: no need to rebind

It just works out of the box :-)
I used it for gome (instead of touchpad) and in gimp as well. Just perfect

There is no chance that this will go into 8.04 (LTS)?

Kind Regards
Bruno

Bruno (grossnik-register) wrote :
Bruno (grossnik-register) wrote :

Hi Bruno,

Thanks for testing. I'm glad at least the Intrepid kernel resolves this for you. I can approach the kernel team to consider this for an SRU but I'm not sure how likely it will happen. Thanks.

Stefan Bader (smb) wrote :

@Bruno and all that own that HW:

have you had a chance to test-run the latest driver (to better rule out regressions)?

Stefan Bader (smb) on 2008-07-02
Changed in linux:
assignee: ubuntu-kernel-team → stefan-bader-canonical
status: Triaged → In Progress
Bruno (grossnik-register) wrote :

Hi Stefan
I did the test with Intrepid Ibex 8.10. Is there a new kernel for testing?

Stefan Bader (smb) wrote :

Hi Bruno,

I have a Hardy kernel ready at http://people.ubuntu.com/~smb/bug218087 which also has the new wacom driver applied. Thanks

Stefan Bader (smb) wrote :

This is already part of Intrepid.

Changed in linux:
status: In Progress → Fix Released
Stefan Bader (smb) on 2008-08-04
Changed in linux:
assignee: nobody → stefan-bader-canonical
importance: Undecided → Medium
status: New → In Progress
Stefan Bader (smb) wrote :

After review this will not get fixed in the main package but in the backport modules package.

Changed in linux:
assignee: stefan-bader-canonical → nobody
status: In Progress → Won't Fix
Stefan Bader (smb) wrote :

SRU justification:

Impact: Some newer versions of the bamboo (whatever-) imput device require a
newer version of the wacom driver to be recognized.

Fix: Backport the latest vanilla driver to linux-backports-modules.

Testcase: Without newer driver the device is not detected.

Changed in linux-backports-modules-2.6.24:
assignee: nobody → stefan-bader-canonical
importance: Undecided → Medium
status: New → In Progress
Stefan Bader (smb) wrote :
Changed in linux-backports-modules-2.6.24:
status: In Progress → Fix Committed
status: New → Fix Committed
importance: Undecided → Medium
Steve Langasek (vorlon) wrote :

Accepted into -proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Martin Pitt (pitti) wrote :

linux-backports-modules-2.6.24 -21 copied to hardy-updates.

Changed in linux-backports-modules-2.6.24:
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments